## Apache Zeta Components Manual :: Docs For Class ezcTranslationLeetFilter

### Translation::ezcTranslationLeetFilter

### Class ezcTranslationLeetFilter

Implements the Leet translation filter.

The leet filter mangles translations to old skool 1337 73x7.

Source for this file: /Translation/src/filters/leet_filter.php

### Implements interfaces:

- ezcTranslationFilter

Version: | //autogentag//

### Method Summary

public static ezcTranslationFilterLeet | `getInstance( )` Returns an instance of the class ezcTranslationFilterLeet
public void | `runFilter( $context )` Filters a context

### Methods

#### getInstance

static ezcTranslationFilterLeet getInstance( )

Returns an instance of the class ezcTranslationFilterLeet

##### Implementation of:

Method | Description
--- | ---
`ezcTranslationFilter::getInstance()` | Returns an instance of the class that implements this interface

#### runFilter

void runFilter( $context )

Filters a context

Applies the "1337" filter on the given context. This filter leetifies text old skool. It is, of course, just an example.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$context` | array[ezcTranslationData] |

##### Implementation of:

Method | Description
--- | ---
`ezcTranslationFilter::runFilter()` | Filters the context $context.

Documentation generated by phpDocumentor 1.4.3